"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_react_1 = require("utils-react");
const utils_1 = require("./utils");
const main = () => __awaiter(void 0, void 0, void 0, function* () {
    const { typeProject, isTypeScript } = yield (0, utils_1.makeQuestions)();
    console.log("Installing dependencies...");
    console.log("");
    const managerMessage = yield (0, utils_1.packageManager)();
    yield (0, utils_1.addDependencies)(typeProject, isTypeScript, managerMessage);
    const files = yield (0, utils_1.addFiles)(typeProject, isTypeScript);
    console.log("Deleting existing files...");
    console.log("");
    yield (0, utils_1.existsFile)(files.map(file => file.filename));
    for (let i = 0; i < files.length; i++) {
        const element = files[i];
        console.log(`Downloading ${element.filename}...`);
        yield (0, utils_react_1.delay)(200);
        yield (0, utils_1.download)(element.path, element.filename);
    }
    console.log("");
    console.log("Adding vscode settings...");
    (0, utils_1.vsCodeSettings)();
    console.log("Done!");
});
main();
