"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.vsCodeSettings = void 0;
const fs_1 = require("fs");
const _1 = require(".");
const constants_1 = require("./constants");
const settingsPath = "./.vscode/settings.json";
const vsCodeSettings = () => {
    const existingSettings = (0, fs_1.existsSync)(settingsPath);
    if (!existingSettings) {
        const existingFolder = (0, fs_1.existsSync)("./.vscode");
        if (!existingFolder) {
            (0, fs_1.mkdirSync)("./.vscode");
        }
        (0, fs_1.writeFileSync)(settingsPath, JSON.stringify(constants_1.settings));
    }
    else {
        const fileSettings = JSON.parse((0, fs_1.readFileSync)(settingsPath, "utf8"));
        const newFileSettings = (0, _1.deepClone)(fileSettings);
        for (const key in constants_1.settings) {
            if (!newFileSettings[key]) {
                newFileSettings[key] = constants_1.settings[key];
            }
        }
        if (JSON.stringify(fileSettings) !== JSON.stringify(newFileSettings)) {
            (0, fs_1.writeFileSync)(settingsPath, JSON.stringify(newFileSettings));
        }
    }
    return existingSettings;
};
exports.vsCodeSettings = vsCodeSettings;
